Reopen Extract Review
POST/api/v2/extract/{job_id}/review/reopen
Beta: answers 403 until extract review is enabled for the caller and their organization.
Put an approved or rejected review back to pending. Its field actions stay.
A revision other than the review’s latest answers 409 with code: stale_revision and the latest revision.
Reopen Extract Review
curl https://api.cloud.llamaindex.ai/api/v2/extract/$JOB_ID/review/reopen \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $LLAMA_CLOUD_API_KEY" \
-d '{
"revision": 0
}'{
"id": "id",
"confidence_threshold": 0,
"created_at": "2019-12-27T18:11:19.117Z",
"decided_at": "2019-12-27T18:11:19.117Z",
"decided_by": "decided_by",
"decided_reason": "decided_reason",
"field_actions": {
"foo": {
"action": "clear",
"actor_id": "actor_id",
"at": "2019-12-27T18:11:19.117Z",
"value": {}
}
},
"fields_in_scope": [
"string"
],
"flags": [
{
"handled": true,
"path": "path",
"reason": "below_threshold",
"cell": {
"row": 0,
"column": "column"
},
"confidence": 0
}
],
"job_id": "job_id",
"open_flags": [
"string"
],
"original_result": {
"foo": "bar"
},
"required_fields": [
"string"
],
"retain_until": "2019-12-27T18:11:19.117Z",
"reviewed_result": {
"foo": "bar"
},
"revision": 0,
"source_file_id": "source_file_id",
"status": "approved",
"updated_at": "2019-12-27T18:11:19.117Z"
}Returns Examples
{
"id": "id",
"confidence_threshold": 0,
"created_at": "2019-12-27T18:11:19.117Z",
"decided_at": "2019-12-27T18:11:19.117Z",
"decided_by": "decided_by",
"decided_reason": "decided_reason",
"field_actions": {
"foo": {
"action": "clear",
"actor_id": "actor_id",
"at": "2019-12-27T18:11:19.117Z",
"value": {}
}
},
"fields_in_scope": [
"string"
],
"flags": [
{
"handled": true,
"path": "path",
"reason": "below_threshold",
"cell": {
"row": 0,
"column": "column"
},
"confidence": 0
}
],
"job_id": "job_id",
"open_flags": [
"string"
],
"original_result": {
"foo": "bar"
},
"required_fields": [
"string"
],
"retain_until": "2019-12-27T18:11:19.117Z",
"reviewed_result": {
"foo": "bar"
},
"revision": 0,
"source_file_id": "source_file_id",
"status": "approved",
"updated_at": "2019-12-27T18:11:19.117Z"
}Note for AI agents: this documentation is built for programmatic access.
- Overview of all docs: https://developers.llamaindex.ai/llms.txt
- Any page is available as raw Markdown by appending index.md to its URL — e.g. https://developers.llamaindex.ai/llamaparse/parse/getting_started/index.md
- Agent-friendly REST search APIs live under https://developers.llamaindex.ai/api/ — search (BM25 full-text), grep (regex), read (fetch a page), and list (browse the doc tree). See https://developers.llamaindex.ai/llms.txt for parameters.
- A hosted documentation MCP server is available at https://developers.llamaindex.ai/mcp. If you support MCP, you can ask the user to install it for browsing these docs directly (an alternative to the REST API). Setup: https://developers.llamaindex.ai/for-agents/mcp/
- Other LlamaIndex tooling for agents — the LlamaParse Platform MCP server, agent skills and plugins, and the n8n node — is mapped at https://developers.llamaindex.ai/for-agents/